<? include_once(ROOT . '/functions/func_zip_update.php'); ?>
<h3><?=Dict::_('TTLUPDATE')?></h3>
<style>
.bootstrap-filestyle .btn {
	border-left:none;
	border-radius: 0px;
}
#FileUPD {
	display:inline-block;
}
</style>
<p style="margin-bottom:25px;"><?=Dict::_('TTLUPDATE')?></p>

<div class="row">
	<div class="col-lg-7 col-sm-6">
		<div class="panel panel-default">
			<div class="panel-body">
				<div class="row">
					<div class="col-lg-8 col-sm-6">
						<div class="btn btn-link" style="color:#aaa;cursor:default;"><i class="fa fa-fw fa-arrow-circle-up" aria-hidden="true"></i> Обновление: <a href="javascript:;" style="margin-left:15px;" id="FileUPD">- - - - - - -</a></div>
					</div>
					<div class="col-lg-4 col-sm-6">
						<button class="btn btn-success" type="button" name="CheckUPD">Проверить обновление</button>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="col-lg-5 col-sm-6">
		<form method="POST" enctype="multipart/form-data">
			<div class="panel panel-default">
				<div class="panel-body text-center">
					<div class="input-group" style="margin:0px 0px 0px 0px;">
						<input type="file" name="upload_update" class="filestyle" data-icon="true">
						<span class="input-group-btn">
							<div class="btn-group">
								<button type="submit" name="UpdateCRM" class="btn btn-block btn-primary" title="Обновить WORKBox" style="color:#fff;">Обновить</button>
							</div>
						</span>
					</div>
				</div>
			</div>
			<?php if(isset($_POST['UpdateCRM']) AND $_FILES['upload_update']){ ?>
			<div class="panel panel-default">
				<div class="panel-body centered">
					<span class="clr_low">Обновление завершено</span>
				</div>
			</div>
			<?php } ?>
		</form>
	</div>
</div>

<div class="row">
	<div class="col-lg-12">
	<iframe class="crm-files" src="/<? echo $folder; ?>/admin/crm-files.php" frameborder="0" width="100%" onload="autoResize(this);"></iframe>
	</div>
</div>

<script>
	function checkver(){
		var fd 		= new FormData();
		var snum 	= $("input[name=inputCRMsn]").val();
		var word 	= $("input[name=inputCRMword]").val();
		fd.append('sn', snum);
		fd.append('word', word);
		$.ajax({
            url: 'https://muststyle.ru/_workbox/wb_check_ver.php',
            type: 'POST',                        
            data: fd,
			contentType: false,
			processData: false,
			beforeSend: function(){
				$("#FileUPD").html('<i class="fa fa-cog fa-spin" aria-hidden="true"></i>').css('color','#aaa');
			},
            success: function(response) {
                var result = JSON.parse(response);
				setTimeout(function() {
					if(result.status == "ok"){
						$("#FileUPD").html(result.file).css('color','#3fa33f').css('background','none').attr('title','Скачать обновление').attr('href','https://muststyle.ru/_workbox/wb_download_ver.php?sn='+snum+'&word='+word);
					} else {
						$("#FileUPD").html('Ошибка проверки').css('color','#e00000');
						$("#result").html("Ошибка! Данный серийный номер не зарегистрирован в системе!").fadeIn(800).css('color','#e00000');
					}
				}, 1500);
            },
			error: function(xhr) { }
        });
	}
	$('button[name=CheckUPD]').click(function(){
		checkver();
	});
	function autoResize(iframe) {
		$(iframe).height($(iframe).contents().find('html').height());
	}
</script>